org.opencv.ml

## Class ANN_MLP_ANNEAL

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ml.StatModel
    - - org.opencv.ml.ANN_MLP
      - - org.opencv.ml.ANN_MLP_ANNEAL

-     public class ANN_MLP_ANNEAL
      extends ANN_MLP

  Artificial Neural Networks - Multi-Layer Perceptrons. SEE: REF: ml_intro_ann

- - ### Field Summary

    - ### Fields inherited from class org.opencv.ml.ANN_MLP

      `ANNEAL, BACKPROP, GAUSSIAN, IDENTITY, LEAKYRELU, NO_INPUT_SCALE, NO_OUTPUT_SCALE, RELU, RPROP, SIGMOID_SYM, UPDATE_WEIGHTS`

    - ### Fields inherited from class org.opencv.ml.StatModel

      `COMPRESSED_INPUT, PREPROCESSED_INPUT, RAW_OUTPUT, UPDATE_MODEL`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ANN_MLP_ANNEAL(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ANN_MLP_ANNEAL` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `double` | `getAnnealCoolingRatio()` SEE: setAnnealCoolingRatio
    `double` | `getAnnealFinalT()` SEE: setAnnealFinalT
    `double` | `getAnnealInitialT()` SEE: setAnnealInitialT
    `int` | `getAnnealItePerStep()` SEE: setAnnealItePerStep
    `void` | `setAnnealCoolingRatio(double val)` getAnnealCoolingRatio SEE: getAnnealCoolingRatio
    `void` | `setAnnealFinalT(double val)` getAnnealFinalT SEE: getAnnealFinalT
    `void` | `setAnnealInitialT(double val)` getAnnealInitialT SEE: getAnnealInitialT
    `void` | `setAnnealItePerStep(int val)` getAnnealItePerStep SEE: getAnnealItePerStep

    - ### Methods inherited from class org.opencv.ml.ANN_MLP

      `create, getBackpropMomentumScale, getBackpropWeightScale, getLayerSizes, getRpropDW0, getRpropDWMax, getRpropDWMin, getRpropDWMinus, getRpropDWPlus, getTermCriteria, getTrainMethod, getWeights, load, setActivationFunction, setActivationFunction, setActivationFunction, setBackpropMomentumScale, setBackpropWeightScale, setLayerSizes, setRpropDW0, setRpropDWMax, setRpropDWMin, setRpropDWMinus, setRpropDWPlus, setTermCriteria, setTrainMethod, setTrainMethod, setTrainMethod`

    - ### Methods inherited from class org.opencv.ml.StatModel

      `calcError, empty, getVarCount, isClassifier, isTrained, predict, predict, predict, train, train, train`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ANN_MLP_ANNEAL

          protected ANN_MLP_ANNEAL(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static ANN_MLP_ANNEAL __fromPtr__(long addr)

    - #### getAnnealCoolingRatio

          public double getAnnealCoolingRatio()

      SEE: setAnnealCoolingRatio
      Overrides:
        `getAnnealCoolingRatio` in class `ANN_MLP`
      Returns:
        automatically generated

    - #### getAnnealFinalT

          public double getAnnealFinalT()

      SEE: setAnnealFinalT
      Overrides:
        `getAnnealFinalT` in class `ANN_MLP`
      Returns:
        automatically generated

    - #### getAnnealInitialT

          public double getAnnealInitialT()

      SEE: setAnnealInitialT
      Overrides:
        `getAnnealInitialT` in class `ANN_MLP`
      Returns:
        automatically generated

    - #### getAnnealItePerStep

          public int getAnnealItePerStep()

      SEE: setAnnealItePerStep
      Overrides:
        `getAnnealItePerStep` in class `ANN_MLP`
      Returns:
        automatically generated

    - #### setAnnealCoolingRatio

          public void setAnnealCoolingRatio(double val)

      getAnnealCoolingRatio SEE: getAnnealCoolingRatio
      Overrides:
        `setAnnealCoolingRatio` in class `ANN_MLP`
      Parameters:
        `val` - automatically generated

    - #### setAnnealFinalT

          public void setAnnealFinalT(double val)

      getAnnealFinalT SEE: getAnnealFinalT
      Overrides:
        `setAnnealFinalT` in class `ANN_MLP`
      Parameters:
        `val` - automatically generated

    - #### setAnnealInitialT

          public void setAnnealInitialT(double val)

      getAnnealInitialT SEE: getAnnealInitialT
      Overrides:
        `setAnnealInitialT` in class `ANN_MLP`
      Parameters:
        `val` - automatically generated

    - #### setAnnealItePerStep

          public void setAnnealItePerStep(int val)

      getAnnealItePerStep SEE: getAnnealItePerStep
      Overrides:
        `setAnnealItePerStep` in class `ANN_MLP`
      Parameters:
        `val` - automatically generated

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `ANN_MLP`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8